<?php

namespace Growmatik;

/**
 * Class Personalizer_Security
 *
 * Adjusts the XFO/CSP headers to make content personalization work in Growmatik UI.
 *
 * @package Growmatik
 */
class Personalizer_Security {
	public function __construct() {
		if ( 'local' === GROWMATIK_APP_ENV || 'dev' === GROWMATIK_APP_ENV ) {
			return;
		}

		add_filter( 'send_headers', array( $this, 'adjust_personalizer_security_headers' ), 90, 0 );
	}

	public function adjust_personalizer_security_headers() {
		if ( ! $this->should_override_headers() ) {
			return;
		}

		header_remove( 'X-Frame-Options' );
		header( "Content-Security-Policy: frame-ancestors 'self' *.growmatik.ai" );
	}

	private function should_override_headers() {
		return filter_input( INPUT_GET, 'growmatik-mode' ) === 'personalize' &&
			filter_input( INPUT_GET, 'spid' ) > 0;
	}
}
